Bug 218595 - if .listing exists wget writes to index.html[.x] instead of .listing[.x]
if .listing exists wget writes to index.html[.x] instead of .listing[.x]
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2006-12-06 05:55 EST by Tomas Heinrich
Modified: 2016-09-20 00:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-07 08:09:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix (2.71 KB, patch)
2006-12-06 05:55 EST, Tomas Heinrich
no flags Details | Diff

  None (edit)
Description Tomas Heinrich 2006-12-06 05:55:35 EST
Description of problem:
  if .listing file exists, wget writes listing data to index.html[.x]
  instead of .listing[.x]

Version-Release number of selected component (if applicable):
  1.10.2-3.2.1, 1.10.2-7

How reproducible:

Steps to Reproduce:
  $touch .listing
  $wget --no-remove-listing ftp://kernel.org/

Actual results:
  directory listing is saved in index.html and htmlized version in index.html.1

Expected results:
  .listing should be overwritten or another .listing.x file created

Additional info:
  the attached path should solve this but is also changes wget behaviour
  in certain situations.

  '.listing' is always overwritten if -nc is not specified. currently when
  called with -nc, wget doesn't actually download the listing and uses the
  existing file whatever it contains, which i think is dull. the patch changes
  this behaviour to keep existing listing files and create new one with 
  appropriate suffix.

  when invoked with --no-remove-listing, wget wget keeps on rewriting a single
  listing file which he finaly preserves. the patch changes this to overwriting
  existing files unles -nc is specified, but every new listing file has its
  suffix number incremented, preserving all of them.

  it was necessary to specify how wget should react with these options when
  fixing the bug. i would be happy to hear some comments on this.
Comment 1 Tomas Heinrich 2006-12-06 05:55:35 EST
Created attachment 142942 [details]
Comment 2 Karsten Hopp 2006-12-07 08:09:22 EST
This needs to be changed upstream. Please report this at http://wget.sunsite.dk/

Note You need to log in before you can comment on or make changes to this bug.